package com.inkasso.factoring.creditmanagement.service;

import com.inkasso.factoring.creditmanagement.entity.SupplierInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 供应商企业信息 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
public interface ISupplierInfoService extends IService<SupplierInfo> {

    /**
     * 新增供应商
     * @param supplierInfo
     */
    SupplierInfo addSupplier(SupplierInfo supplierInfo);

    /**
     * 增加担保企业
     * @param supplierInfo
     */
    SupplierInfo addBusiness(SupplierInfo supplierInfo);

    /**
     * 根据供应商id获取  供应商和担保企业信息
     * @param id
     * @return
     */
    SupplierInfo findSupplierById(Long id);

    /**
     * 补充供应商信息
     * @param supplierInfo
     */
    SupplierInfo supplement(SupplierInfo supplierInfo);

    /**
     * 当前用户的全部列表
     * @return
     */
    List<SupplierInfo> allList();
}
